Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMeshCreator

    java.lang.Object
      igeo.IMeshCreator

    public class IMeshCreator

extends java.lang.Object

Visitor class to define type of mesh to be instantiated. Used in IMeshGeo. To define custom mesh, define child class of this to override methods.

See Also:
  `IMeshGeo`

Field Summary
`static int` | `maxVertexNum`

Constructor Summary
`IMeshCreator()`

Method Summary
`IEdge` | `createEdge(IVertex v1, IVertex v2)`
`IFace` | `createFace(IEdge[] e)`
`IMeshGeo` | `createMesh(java.util.ArrayList<IVertex> v, java.util.ArrayList<IEdge> e, java.util.ArrayList<IFace> f)`
`IMeshGeo` | `createMesh(IVec[][] matrix, boolean triangulateDir)`
`IVertex` | `createVertex(double x, double y, double z)`
`IVertex` | `createVertex(IVec p)`
`IVertex` | `createVertex(IVec4 p)`
`int` | `getMaxVertexNum()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxVertexNum

    public static int maxVertexNum

Constructor Detail

### IMeshCreator

    public IMeshCreator()

Method Detail

### createVertex

    public IVertex createVertex(double x,
                                double y,
                                double z)

### createVertex

    public IVertex createVertex(IVec p)

### createVertex

    public IVertex createVertex(IVec4 p)

### createEdge

    public IEdge createEdge(IVertex v1,
                            IVertex v2)

### createFace

    public IFace createFace(IEdge[] e)

### createMesh

    public IMeshGeo createMesh(java.util.ArrayList<IVertex> v,
                               java.util.ArrayList<IEdge> e,
                               java.util.ArrayList<IFace> f)

### createMesh

    public IMeshGeo createMesh(IVec[][] matrix,
                               boolean triangulateDir)

### getMaxVertexNum

    public int getMaxVertexNum()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD